// Copyright(c) Alberto C. //
// Prova.cpp    - Esempio dell'uso di mouse.lib e graph.lib    - 03/02/2002 //
////

#include ".\headers\graph.h"
#include ".\headers\mouse.h"
#include <stdio.h>
#include <conio.h>

void main () {
    //passaggio alla modalita' grafica
    if (!mouse_exist ()||init_graph ()) {
        printf ("Errore nel caricamento dei drivers grafici o del mouse.");
        return;
    }//if

    //stampa una stringa
    setbkcolor (CYAN);
    setcolor (RED);
    outtextxy (100,90,"Ciao mondo immondo!");

    //disegno area limitata
    setfillstyle (9,LIGHTBLUE);
    bar (100,100,getmaxx()-100,getmaxy()-100);

    //uso delle funzioni del mouse
    on (); //mostra il mouse
    move_pt (getmaxx()/2,getmaxy()/2); //centramento del pt
    mouse_hr (100,getmaxx()-100); //restrizione campo orizzontale
    mouse_vr (100,getmaxy()-100); //restrizione campo verticale

    //lettura del mouse
    char coords[50];
    int pmx,pmy,pmst;
    mst=mouse ();
    pmx=mx; pmy=my;
    while (!kbhit ()) {
        mouse ();
        if (pmx!=mx||pmy!=my||pmst!=mst) {
            pmx=mx; pmy=my; pmst=mst;
            sprintf (coords,"x: %03d, y: %03d, mst: %d",mx,my,mst);
            setcolor (CYAN);
            outtextxy (1,1,"");
            setcolor (RED);
            outtextxy (1,1,coords);
        }//if
    }//while

    //cambiamento cursore
    for (int i=0;i<7;i++) {
        off ();
        change_pt ((CUR)i);
        on ();
        getch ();
    }//for

    off (); //nascondi il mouse

    closegraph ();
}//init_graph
//
